sym

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup
Interface sym

All Known Implementing Classes:
  Lexer

    public interface sym

CUP generated interface containing symbol constants.

Field Summary
`static int` | `ACTION`
`static int` | `action_code_part`
`static int` | `BAR`
`static int` | `CODE`
`static int` | `code_part`
`static int` | `code_parts`
`static int` | `CODE_STRING`
`static int` | `COLON`
`static int` | `COLON_COLON_EQUALS`
`static int` | `COMMA`
`static int` | `declares_non_term`
`static int` | `declares_term`
`static int` | `DOT`
`static int` | `empty`
`static int` | `EOF`
`static int` | `error`
`static int` | `EXTENDS`
`static int` | `GT`
`static int` | `ID`
`static int` | `IMPORT`
`static int` | `import_id`
`static int` | `import_list`
`static int` | `import_spec`
`static int` | `INIT`
`static int` | `init_code`
`static int` | `label_id`
`static int` | `LBRACK`
`static int` | `LEFT`
`static int` | `LT`
`static int` | `multipart_id`
`static int` | `new_non_term_id`
`static int` | `new_term_id`
`static int` | `NON`
`static int` | `non_term_name_list`
`static int` | `non_terminal`
`static int` | `NONASSOC`
`static int` | `NONTERMINAL`
`static int` | `nt_id`
`static int` | `NT$0`
`static int` | `NT$1`
`static int` | `NT$10`
`static int` | `NT$11`
`static int` | `NT$12`
`static int` | `NT$13`
`static int` | `NT$2`
`static int` | `NT$3`
`static int` | `NT$4`
`static int` | `NT$5`
`static int` | `NT$6`
`static int` | `NT$7`
`static int` | `NT$8`
`static int` | `NT$9`
`static int` | `opt_label`
`static int` | `opt_semi`
`static int` | `PACKAGE`
`static int` | `package_spec`
`static int` | `PARSER`
`static int` | `parser_code_part`
`static int` | `PERCENT_PREC`
`static int` | `preced`
`static int` | `PRECEDENCE`
`static int` | `precedence_l`
`static int` | `precedence_list`
`static int` | `prod_part`
`static int` | `prod_part_list`
`static int` | `production`
`static int` | `production_list`
`static int` | `QUESTION`
`static int` | `RBRACK`
`static int` | `rhs`
`static int` | `rhs_list`
`static int` | `RIGHT`
`static int` | `robust_id`
`static int` | `SCAN`
`static int` | `scan_code`
`static int` | `SEMI`
`static int` | `spec`
`static int` | `STAR`
`static int` | `START`
`static int` | `start_spec`
`static int` | `SUPER`
`static int` | `symbol`
`static int` | `symbol_id`
`static int` | `symbol_list`
`static int` | `term_id`
`static int` | `term_name_list`
`static int` | `TERMINAL`
`static int` | `terminal_id`
`static int` | `terminal_list`
`static int` | `type_id`
`static int` | `typearglist`
`static int` | `typearguement`
`static int` | `wildcard`
`static int` | `WITH`

Field Detail

### RBRACK

    static final int RBRACK

See Also:
  Constant Field Values

### IMPORT

    static final int IMPORT

See Also:
  Constant Field Values

### LT

    static final int LT

See Also:
  Constant Field Values

### INIT

    static final int INIT

See Also:
  Constant Field Values

### QUESTION

    static final int QUESTION

See Also:
  Constant Field Values

### NONASSOC

    static final int NONASSOC

See Also:
  Constant Field Values

### CODE_STRING

    static final int CODE_STRING

See Also:
  Constant Field Values

### SEMI

    static final int SEMI

See Also:
  Constant Field Values

### STAR

    static final int STAR

See Also:
  Constant Field Values

### LBRACK

    static final int LBRACK

See Also:
  Constant Field Values

### PRECEDENCE

    static final int PRECEDENCE

See Also:
  Constant Field Values

### PERCENT_PREC

    static final int PERCENT_PREC

See Also:
  Constant Field Values

### CODE

    static final int CODE

See Also:
  Constant Field Values

### GT

    static final int GT

See Also:
  Constant Field Values

### COLON

    static final int COLON

See Also:
  Constant Field Values

### NON

    static final int NON

See Also:
  Constant Field Values

### ID

    static final int ID

See Also:
  Constant Field Values

### WITH

    static final int WITH

See Also:
  Constant Field Values

### RIGHT

    static final int RIGHT

See Also:
  Constant Field Values

### TERMINAL

    static final int TERMINAL

See Also:
  Constant Field Values

### LEFT

    static final int LEFT

See Also:
  Constant Field Values

### COLON_COLON_EQUALS

    static final int COLON_COLON_EQUALS

See Also:
  Constant Field Values

### COMMA

    static final int COMMA

See Also:
  Constant Field Values

### NONTERMINAL

    static final int NONTERMINAL

See Also:
  Constant Field Values

### EOF

    static final int EOF

See Also:
  Constant Field Values

### PARSER

    static final int PARSER

See Also:
  Constant Field Values

### error

    static final int error

See Also:
  Constant Field Values

### DOT

    static final int DOT

See Also:
  Constant Field Values

### ACTION

    static final int ACTION

See Also:
  Constant Field Values

### START

    static final int START

See Also:
  Constant Field Values

### PACKAGE

    static final int PACKAGE

See Also:
  Constant Field Values

### SUPER

    static final int SUPER

See Also:
  Constant Field Values

### EXTENDS

    static final int EXTENDS

See Also:
  Constant Field Values

### BAR

    static final int BAR

See Also:
  Constant Field Values

### SCAN

    static final int SCAN

See Also:
  Constant Field Values

### NT$3

    static final int NT$3

See Also:
  Constant Field Values

### empty

    static final int empty

See Also:
  Constant Field Values

### NT$2

    static final int NT$2

See Also:
  Constant Field Values

### NT$1

    static final int NT$1

See Also:
  Constant Field Values

### NT$0

    static final int NT$0

See Also:
  Constant Field Values

### package_spec

    static final int package_spec

See Also:
  Constant Field Values

### precedence_list

    static final int precedence_list

See Also:
  Constant Field Values

### wildcard

    static final int wildcard

See Also:
  Constant Field Values

### production_list

    static final int production_list

See Also:
  Constant Field Values

### action_code_part

    static final int action_code_part

See Also:
  Constant Field Values

### production

    static final int production

See Also:
  Constant Field Values

### opt_label

    static final int opt_label

See Also:
  Constant Field Values

### nt_id

    static final int nt_id

See Also:
  Constant Field Values

### parser_code_part

    static final int parser_code_part

See Also:
  Constant Field Values

### type_id

    static final int type_id

See Also:
  Constant Field Values

### spec

    static final int spec

See Also:
  Constant Field Values

### terminal_id

    static final int terminal_id

See Also:
  Constant Field Values

### precedence_l

    static final int precedence_l

See Also:
  Constant Field Values

### symbol

    static final int symbol

See Also:
  Constant Field Values

### import_spec

    static final int import_spec

See Also:
  Constant Field Values

### start_spec

    static final int start_spec

See Also:
  Constant Field Values

### multipart_id

    static final int multipart_id

See Also:
  Constant Field Values

### declares_non_term

    static final int declares_non_term

See Also:
  Constant Field Values

### NT$13

    static final int NT$13

See Also:
  Constant Field Values

### term_name_list

    static final int term_name_list

See Also:
  Constant Field Values

### NT$12

    static final int NT$12

See Also:
  Constant Field Values

### NT$11

    static final int NT$11

See Also:
  Constant Field Values

### NT$10

    static final int NT$10

See Also:
  Constant Field Values

### import_list

    static final int import_list

See Also:
  Constant Field Values

### init_code

    static final int init_code

See Also:
  Constant Field Values

### typearguement

    static final int typearguement

See Also:
  Constant Field Values

### code_part

    static final int code_part

See Also:
  Constant Field Values

### new_non_term_id

    static final int new_non_term_id

See Also:
  Constant Field Values

### declares_term

    static final int declares_term

See Also:
  Constant Field Values

### preced

    static final int preced

See Also:
  Constant Field Values

### term_id

    static final int term_id

See Also:
  Constant Field Values

### rhs

    static final int rhs

See Also:
  Constant Field Values

### label_id

    static final int label_id

See Also:
  Constant Field Values

### opt_semi

    static final int opt_semi

See Also:
  Constant Field Values

### prod_part_list

    static final int prod_part_list

See Also:
  Constant Field Values

### robust_id

    static final int robust_id

See Also:
  Constant Field Values

### typearglist

    static final int typearglist

See Also:
  Constant Field Values

### new_term_id

    static final int new_term_id

See Also:
  Constant Field Values

### prod_part

    static final int prod_part

See Also:
  Constant Field Values

### code_parts

    static final int code_parts

See Also:
  Constant Field Values

### scan_code

    static final int scan_code

See Also:
  Constant Field Values

### symbol_list

    static final int symbol_list

See Also:
  Constant Field Values

### terminal_list

    static final int terminal_list

See Also:
  Constant Field Values

### non_term_name_list

    static final int non_term_name_list

See Also:
  Constant Field Values

### import_id

    static final int import_id

See Also:
  Constant Field Values

### NT$9

    static final int NT$9

See Also:
  Constant Field Values

### symbol_id

    static final int symbol_id

See Also:
  Constant Field Values

### NT$8

    static final int NT$8

See Also:
  Constant Field Values

### NT$7

    static final int NT$7

See Also:
  Constant Field Values

### NT$6

    static final int NT$6

See Also:
  Constant Field Values

### rhs_list

    static final int rhs_list

See Also:
  Constant Field Values

### non_terminal

    static final int non_terminal

See Also:
  Constant Field Values

### NT$5

    static final int NT$5

See Also:
  Constant Field Values

### NT$4

    static final int NT$4

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD